rpm 4.20.1 The RPM Package Manager

Loading...
Searching...
No Matches
Functions
rpmstrpool.h File Reference
Data types: » String Pool API.
`#include <rpm/rpmtypes.h>`
Include dependency graph for rpmstrpool.h:

Go to the source code of this file.

## Functions
rpmstrPool | rpmstrPoolCreate (void)
rpmstrPool | rpmstrPoolFree (rpmstrPool pool)
rpmstrPool | rpmstrPoolLink (rpmstrPool pool)
void | rpmstrPoolFreeze (rpmstrPool pool, int keephash)
void | rpmstrPoolUnfreeze (rpmstrPool pool)
rpmsid | rpmstrPoolId (rpmstrPool pool, const char *s, int create)
rpmsid | rpmstrPoolIdn (rpmstrPool pool, const char *s, size_t slen, int create)
const char * | rpmstrPoolStr (rpmstrPool pool, rpmsid sid)
size_t | rpmstrPoolStrlen (rpmstrPool pool, rpmsid sid)
int | rpmstrPoolStreq (rpmstrPool poolA, rpmsid sidA, rpmstrPool poolB, rpmsid sidB)
rpmsid | rpmstrPoolNumStr (rpmstrPool pool)

## Detailed Description

String pools manipulation helper functions